SignatureType (Gradle API 2.14.1)

Package: org.gradle.plugins.signing.type

## [Java] Interface SignatureType

- The type of signature.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `combinedExtension(File toSign)` Combines the extension of the given file with the expected signature extension.
    `File` | `fileFor(File toSign)` Calculates the file where to store the signature of the given file to be signed.
    `String` | `getExtension()` The file extension (without the leading dot) associated to this type of signature.
    `File` | `sign(Signatory signatory, File toSign)` Signs the given file and returns the file where the signature has been written to.
    `void` | `sign(Signatory signatory, InputStream toSign, OutputStream destination)` Signs the data from the given InputStream and stores the signature in the given OutputStream.

- - ### Method Detail

    - #### public String combinedExtension(File toSign)

      Combines the extension of the given file with the expected signature extension.

      Parameters:
        `toSign` - The file to be signed
      Returns:
        The combined file extension (without the leading dot)
      See Also:
        getExtension()

    - #### public File fileFor(File toSign)

      Calculates the file where to store the signature of the given file to be signed.

      Parameters:
        `toSign` - The file to be signed
      Returns:
        The file where to write the signature of the given file to be signed

    - #### public String getExtension()

      The file extension (without the leading dot) associated to this type of signature.

    - #### public File sign(Signatory signatory, File toSign)

      Signs the given file and returns the file where the signature has been written to.

      Parameters:
        `signatory` - The signatory
        `toSign` - The file to be signed
      Returns:
        The file where the signature has been written to

    - #### public void sign(Signatory signatory, InputStream toSign, OutputStream destination)

      Signs the data from the given InputStream and stores the signature in the given OutputStream.

      Parameters:
        `signatory` - The signatory
        `toSign` - The source of the data to be signed
        `destination` - Where the signature will be written to